Skip to main content

unsafe_splitCoinEqual

POST

Create an unsigned transaction to split a coin object into multiple equal-size coins.
param[0]
signerstringrequired
The transaction signer's Sui address
param[1]
coinObjectIdstringrequired
The coin object to be spilt
param[2]
splitCountstringrequired
The number of coins to split into
param[3]
gasstringrequired
Gas object to be used in this transaction, node will pick one from the signer's possession if not provided
param[4]
gasBudgetstringrequired
The gas budget, the transaction will fail if the gas cost exceed the budget
Responses
jsonrpcstring
idinteger
the gas objects to be used
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
inputObjectsarrayrequired
objects to be used in this transaction
txBytesstringrequired
BCS serialized transaction data bytes without its type tag, as base-64 encoded string.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "unsafe_splitCoinEqual",
"params": [
null,
null,
null,
null,
null
]
}'